<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.01//EN'>
<html lang="cs">
  <head>
    <meta http-equiv="content-type" content="text/html;charset=utf-8">
    <title>Informace o počasí na vybraných letištích</title>
  </head>
  <body>
    <h1>Informace o počasí na vybraných letištích</h1>
<?php 
// jestliže byl z formuláře odeslán kód letiště, zjistíme jaké je na něm počasí
if (IsSet($_GET["kod"])):

  // vygenerování klienta webové služby na základě popisu rozhraní WSDL
  $ws = new SoapClient("http://live.capeclear.com/ccx/GlobalWeather?wsdl");

  // vyvolání webové služby
  $pocasi = $ws->getSummary($_GET["kod"]);
?>
    <table>
      <tbody>
        <tr>
          <th>Kód letiště:</th>
          <td><?php echo $_GET["kod"] ?></td>
        </tr>
        <tr>
          <th>Umístění letiště:</th>
          <td><?php echo $pocasi->location ?></td>
        </tr>
        <tr>
          <th>Teplota:</th>
          <td><?php echo $pocasi->temp ?></td>
        </tr>
        <tr>
          <th>Vlhkost vzduchu:</th>
          <td><?php echo $pocasi->humidity ?></td>
        </tr>
        <tr>
          <th>Vítr:</th>
          <td><?php echo $pocasi->wind ?></td>
        </tr>
        <tr>
          <th>Obloha:</th>
          <td><?php echo $pocasi->sky ?></td>
        </tr>
      </tbody>
    </table>
<?php endif // kód letiště ještě zadán nebyl, nabídneme uživateli jeho výběr ?>

    <form action="pocasi.php">
      <fieldset>
        <legend>Vyberte letiště:</legend>
        <select name="kod">
          <option value="LKPR">Praha (Ruzyně)</option>
          <option value="KJFK">New York (JFK)</option>
          <option value="EGLL">Londýn (Heathrow)</option>
        </select>
        <input type="submit" value="Zjisti počasí">
      </fieldset>
    </form>

  </body>
</html>