<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.01//EN'>
<html lang="cs">
  <head>
    <meta http-equiv="content-type" content="text/html;charset=utf-8">
    <title>Přehled zpráv</title>
  </head>
  <body>
<?php 

$doc = new DomDocument();
$doc->load("../data/luparss.xml");

$xpath = new DOMXPath($doc);

?>

    <h1>Přehled aktuálních zpráv ze serveru 
      <a href="<?php echo htmlspecialchars($xpath->query("/rss/channel/link")->item(0)->textContent)?>"><?php echo htmlspecialchars($xpath->query("/rss/channel/title")->item(0)->textContent)?></a>
    </h1>

    <dl>
<?php

$polozky = $xpath->query("/rss/channel/item");

foreach($polozky as $polozka)
{
  echo "<dt><a href='" . htmlspecialchars($xpath->query("link", $polozka)->item(0)->textContent) . "'>" . htmlspecialchars(($xpath->query("title", $polozka)->item(0)->textContent)) . "</a></dt>\n";
  echo "<dd>" . htmlspecialchars(($xpath->query("description", $polozka)->item(0)->textContent)) . "</dd>\n";
}


?>
    </dl>
  </body>
</html>