<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.01//EN'>
<html lang="cs">
  <head>
    <meta http-equiv="content-type" content="text/html;charset=utf-8">
    <title>Zpracování smíšeného obsahu pomocí SimpleXML</title>
  </head>
  <body>
<?php 
$xml = simplexml_load_file("../data/smiseny-obsah.xml");

echo "<h1>" . htmlspecialchars($xml->nazev) . "</h1>\n";

echo "Texty odstavců:<br>\n";
foreach ($xml->odstavec as $odstavec)
{
  echo "<p>" . htmlspecialchars($odstavec) . "</p>\n";
}
?>
<hr>
<?php
echo "Element se smíšeným obsahem jako fragment XML: <pre>";
echo htmlspecialchars($xml->odstavec[0]->asXML());
echo "</pre>\n<hr>\n";

echo "Textový obsah elementu se smíšeným obsahem:<br>\n";
echo htmlspecialchars(strip_tags($xml->odstavec[0]->asXML()));
echo "<hr>\n";

echo "Textový obsah elementu se smíšeným obsahem získaný přes DOM:<br>\n";
echo htmlspecialchars(dom_import_simplexml($xml->odstavec[0])->textContent);

?>
  </body>
</html>