<?php
Header("Content-type: text/plain; charset=utf-8");

try
{
  // vytvoření pokusného DOM stromu
  $doc = DOMDocument::loadXML("<a><b xml:id='B'/></a>");
  $b = $doc->getElementById("B");
  // element b nemá žádné dítě, takže následující volání je nesmyslné
  $b->removeChild($b);
}
catch (DOMException $e)
{
  echo "Error: " . $e->getMessage() . "\n";    // chybové hlášení
  echo "Error code: " . $e->getCode() . "\n";  // kód chyby
  echo "In file: " . $e->getFile() . "\n";     // soubor, kde došlo k chybě
  echo "On line: " . $e->getLine() . "\n";     // číslo řádky, kde došlo k chybě
  echo $e->getTraceAsString();                 // podrobná zpráva o místě chyby
  exit;
}

?>