<?xml version="1.0" standalone="yes"?>
<axsl:stylesheet xmlns:axsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" version="1.0">
  <axsl:template match="*|@*" mode="schematron-get-full-path">
    <axsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
    <axsl:text>/</axsl:text>
    <axsl:if test="count(. | ../@*) = count(../@*)">@</axsl:if>
    <axsl:value-of select="name()"/>
    <axsl:text>[</axsl:text>
    <axsl:value-of select="1+count(preceding-sibling::*[name()=name(current())])"/>
    <axsl:text>]</axsl:text>
  </axsl:template>
  <axsl:template match="/">
    <axsl:apply-templates select="/" mode="M0"/>
    <axsl:apply-templates select="/" mode="M1"/>
    <axsl:apply-templates select="/" mode="M2"/>
  </axsl:template>
  <axsl:template match="zamestnanci" priority="4000" mode="M0">
    <axsl:choose>
      <axsl:when test="zamestnanec"/>
      <axsl:otherwise>V seznamu mus&#xED; b&#xFD;t alespo&#x148; jeden zam&#x11B;stnanec</axsl:otherwise>
    </axsl:choose>
    <axsl:if test="sum(zamestnanec/plat) &gt; 500000">Sou&#x10D;et plat&#x16F; nem&#x16F;&#x17E;e b&#xFD;t v&#x11B;t&#x161;&#xED; ne&#x17E; 500.000,-</axsl:if>
    <axsl:apply-templates mode="M0"/>
  </axsl:template>
  <axsl:template match="text()" priority="-1" mode="M0"/>
  <axsl:template match="zamestnanec" priority="4000" mode="M1">
    <axsl:choose>
      <axsl:when test="jmeno"/>
      <axsl:otherwise>U zam&#x11B;stnance mus&#xED; b&#xFD;t zad&#xE1;no jm&#xE9;no.</axsl:otherwise>
    </axsl:choose>
    <axsl:choose>
      <axsl:when test="prijmeni"/>
      <axsl:otherwise>U zam&#x11B;stnance mus&#xED; b&#xFD;t zad&#xE1;no p&#x159;&#xED;jmen&#xED;.</axsl:otherwise>
    </axsl:choose>
    <axsl:choose>
      <axsl:when test="email"/>
      <axsl:otherwise>U zam&#x11B;stnance mus&#xED; b&#xFD;t zad&#xE1;n e-mail.</axsl:otherwise>
    </axsl:choose>
    <axsl:choose>
      <axsl:when test="narozen"/>
      <axsl:otherwise>U zam&#x11B;stnance mus&#xED; b&#xFD;t zad&#xE1;no datum narozen&#xED;.</axsl:otherwise>
    </axsl:choose>
    <axsl:choose>
      <axsl:when test="@id"/>
      <axsl:otherwise>U zam&#x11B;stnance mus&#xED; b&#xFD;t zad&#xE1;no jeho osobn&#xED; &#x10D;&#xED;slo.</axsl:otherwise>
    </axsl:choose>
    <axsl:if test="jmeno[2]|prijmeni[2]">Zam&#x11B;stnanec nem&#x16F;&#x17E;e m&#xED;t v&#xED;ce ne&#x17E; jedno jm&#xE9;no.</axsl:if>
    <axsl:apply-templates mode="M1"/>
  </axsl:template>
  <axsl:template match="text()" priority="-1" mode="M1"/>
  <axsl:template match="zamestnanec" priority="4000" mode="M2">
    <axsl:if test="count(../zamestnanec[@id = current()/@id]) &gt; 1">Duplicitn&#xED; osobn&#xED; &#x10D;&#xED;slo<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="@id"/><axsl:text xml:space="preserve"> </axsl:text>u elementu<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="name(.)"/><axsl:text xml:space="preserve"> </axsl:text>.</axsl:if>
    <axsl:apply-templates mode="M2"/>
  </axsl:template>
  <axsl:template match="text()" priority="-1" mode="M2"/>
  <axsl:template match="text()" priority="-1"/>
</axsl:stylesheet>
