<?php

/*
 POZOR!!! Následující skript je schopný spouštět externí XSLT transformace,
 které mohou například pomocí funkce document() přistupovat k souborovému
 systému serveru. Skript je čistě ilustrativní příklad, v reálném provozu
 je potřeba takové situace korektně ošetřit.
 */

if (!isset($_GET["xml"]) || !isset($_GET["xslt"]))
{
  echo "Skriptu musíte v parametrech <code>xml</code> a <code>xslt</code> předat podklady pro transformaci.\n";
  exit;
}

// načtení dokumentu XML
$xml = new DomDocument();
$xml->load($_GET["xml"], LIBXML_NOENT|LIBXML_DTDLOAD|LIBXML_DTDATTR);

// načtení stylu XSLT
$xsl = new DomDocument();
$xsl->load($_GET["xslt"], LIBXML_NOENT|LIBXML_DTDLOAD|LIBXML_DTDATTR);

// vytvoření procesoru XSLT
$proc = new xsltprocessor();
$proc->importStylesheet($xsl);

// provedení transformace a vypsání výsledku
echo $proc->transformToXML($xml);

?>